## org.eclipse.datatools.connectivity.oda.util.logging
Class LogFormatter

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.logging.LogFormatter

Direct Known Subclasses:
  SimpleFormatter

    public abstract class LogFormatter

extends java.lang.Object

`LogFormatter` is an abstract class from which all formatter classes should implement. It converts `LogRecords` into formatted strings based on `format()` rules.

Method Summary
`abstract java.lang.String` `format(LogRecord record)` Format the specified `LogRecord` into a string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### format

    public abstract java.lang.String format(LogRecord record)

  Format the specified `LogRecord` into a string.

  Parameters:
    `record` - the log record to format.
  Returns:
    the formatted string.